Subject: bug#32770: Packaging SLIME/SWANK as Common Lisp library

From: Andy Patterson <[email-masked]>
Date: Tue, 2 Oct 2018 04:38:22 -0400

Hi,

On Mon, 01 Oct 2018 15:53:50 +0200
Pierre Neidhardt <[email-masked]> wrote:

> Another issue, Andy, is with the new `normalize-dependency' function
> that adds support for the dependency syntax as specified by the ASDF
> grammar.  I think your approach is good but it fails for `jpl-queues`
> because it produces the following .asd file in the store:
>
> [...]
> 
> Note that jpl-util is missing from the registry link list.
> 
> It turns out that it fails because the match-lambda you've used to
> implement the standard are case-sensitive, while the standard is
> case-insensitive.

Right, good catch.

> 
> Adn... jpl-queues uses ":VERSION" and not ":version" as you
> expected :(
> 
> I think the simple fix would be to make the two match-lambda
> case-insensitive (both in generate-dependency-links and in
> make-asd-file).

We're always retrieving that list from a lisp implementation, so I
think it's safe to assume that those symbols will be up-cased in the
output that it sends us.  I'll send a patch with that change.

Thanks,

--
Andy